---
title: get-edge-config-backups
product: vercel
url: /docs/rest-api/edge-config/get-edge-config-backups
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-edge-config-backups on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get Edge Config backups

```http
GET /v1/edge-config/{edgeConfigId}/backups
```

Returns backups of an Edge Config.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `edgeConfigId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `next` | string | No |  |
| `limit` | number. min: 0; max: 50 | No |  |
| `metadata` | string | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "backups",
    "pagination"
  ],
  "properties": {
    "backups": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "id",
          "lastModified"
        ],
        "properties": {
          "metadata": {
            "type": "object",
            "properties": {
              "updatedAt": {
                "type": "string"
              },
              "updatedBy": {
                "type": "string"
              },
              "itemsCount": {
                "type": "number"
              },
              "itemsBytes": {
                "type": "number"
              }
            }
          },
          "id": {
            "type": "string"
          },
          "lastModified": {
            "type": "number"
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "hasNext"
      ],
      "properties": {
        "hasNext": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "next": {
          "type": "string"
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [edge-config endpoints](/docs/rest-api#edge-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
